<?php

require_once('configuration.class.php');

/*
///////////////////////////////////////////////////////////////////////////
//  NAME           : gnucomo_config
//  BASECLASS      : configuration
//  MEMBERS        :
//  OPERATORS      :
//  METHODS        : Database - Obtain the database access string
//
//  DESCRIPTION    : 
//
//  RELATIONS      :
//  SEE ALSO       :
//  LAST MODIFIED  :
///////////////////////////////////////////////////////////////////////////
*/

class gnucomo_config extends configuration
{

   // Return the database access string.

   function Database()
   {
      $access_string = "";

      $param = $this->find_parameter("database", "name");
      if ($param != "")
      {
         $access_string .= "dbname=" . $param;
      }

      $param = $this->find_parameter("database", "user");
      if ($param != "")
      {
         $access_string .= " user=" . $param;
      }

      $param = $this->find_parameter("database", "password");
      if ($param != "")
      {
         $access_string .= " password=" . $param;
      }

      $param = $this->find_parameter("database", "host");
      if ($param != "")
      {
         $access_string .= " host=" . $param;
      }

      $param = $this->find_parameter("database", "port");
      if ($param != "")
      {
         $access_string .= " port=" . $param;
      }
      return $access_string;
   }
};
?>
